package com.chinaitop.agile.service.impl;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.annotation.Resource;

import com.chinaitop.utils.ParameterUtil;
import org.springframework.stereotype.Service;

import com.chinaitop.agile.mapper.VRkZjxxMapper;
import com.chinaitop.agile.model.VRkZjxx;
import com.chinaitop.agile.model.VRkZjxxExample;
import com.chinaitop.agile.service.VRkZjxxService;

@Service
public class VRkZjxxServiceImpl implements VRkZjxxService {
	
	@Resource
	private VRkZjxxMapper vRkZjxxMapper;

	public List<Map<String,Object>> findByBizno(String bizno) {
		Map<String,Object> map = new HashMap<String,Object>();
		map.put("BizNo",bizno);
		List<Map<String,Object>> list = vRkZjxxMapper.selectJYXXDate(map);

		return list;
	}

}
