package com.chinaitop.utils;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ParameterMapUtil {

	public static List<Map<String, Object>> slashCapitals(List<Map<String, Object>> list){
        List<Map<String, Object>> listData = new ArrayList<Map<String,Object>>();
        Map<String,Object> data = new HashMap<String, Object>();
        //循环list修改map
        for (Map<String, Object> hcData : list) {
            data = new HashMap<String, Object>();
            //循环修改一条数据
            for (Map.Entry<String,Object> entry: hcData.entrySet()) {
                //字符串缓冲区
                StringBuffer sbf = new StringBuffer();
                //获取map的key值
                String strs = slashCapital(entry.getKey());
                // 转换成字符数组
                char[] ch = strs.toCharArray();
                // 首字母换小写
                ch[0] = (char) (ch[0] + 32);
                sbf.append(ch);
                //添加key和value进入新的返回map
                data.put(sbf.toString(),entry.getValue());
            }
            listData.add(data);
        }
        return listData;
    }

    /** 方法说明 :带 _ 后第一个字母 转换成大写
    * @return :String
    * @author :HFanss
    **/
    public static String slashCapital(String str){
        //字符串缓冲区
        StringBuffer sbf = new StringBuffer();
        //如果字符串包含下划线
        if (str.contains("_")){
            //按下划线来切割字符串为数组
            String[] split = str.split("_");
            //循环数组操作其中的字符串
            for (int i = 0, index = split.length; i<index; i++) {
                //递归调用方法
                String upperTable = slashCapital(split[i]);
                //添加到字符串缓冲区
                sbf.append(upperTable);
            }
        }else{// 字符串不包含下划线
            // 转换成字符数组
            char[] ch = str.toCharArray();
            // 判断首字母是否是字母
            if (ch[0] >= 'a' && ch[0] <= 'z'){
                // 利用ASCII码实现大写
                ch[0] = (char) (ch[0] - 32);
            }
            // 添加进字符串缓存区
            sbf.append(ch);
        }
        // 返回
        return sbf.toString();
    }
}
