package com.chinaitop.agile.feignService;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "depot-basic")
public interface BasicStorehouseFeignService {

	/**
	 * 获取一条仓房数据
	 * @param id 仓房ID
	 * @param orgId 单位ID
	 * @return
	 */
	@RequestMapping(value = "/Storehouse/findByStorehouse", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getStorehouse(@RequestParam("id") Integer id, @RequestParam("orgId") Integer orgId);
}
