package com.chinaitop.agile.feignService;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "depot-basic")
public interface BasicWarehouseFeignService {

	/**
	 * 获取一条货位数据
	 * @param id 仓房ID
	 * @return
	 */
	@RequestMapping(value = "/Warehouse/findByWarehouse", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	String getWarehouse(@RequestParam("id") Integer id);
}
