package com.chinaitop.agile.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 保管明细账数据对象实体
 * 2022-6-9 范雄伟建立
 */
public class Bgmxz implements Serializable {

    private final static Long serialVersionUID = 1L;

    /**
     * 数据ID
     */
    private String dataid;

    /**
     * 组织机构ID
     */
    private String unitid;

    /**
     * 更新时间
     */
    private Date modifydate;

    /**
     * 粮库名称
     */
    private String lkmc;

    /**
     * 仓房ID
     */
    private Integer ch;

    /**
     * 货位ID
     */
    private Integer hwh;

    /**
     * 粮食品种
     */
    private String pz;

    /**
     * 明细品种
     */
    private String mxpz;

    /**
     * 日期
     */
    private Date rq;

    /**
     * 文件号
     */
    private String wjh;

    /**
     * 摘要
     */
    private String zy;

    /**
     * 收入数量
     */
    private Double srsl;

    /**
     * 支出数量
     */
    private Double zcsl;

    /**
     * 库存数量
     */
    private Double kcsl;

    /**
     * 记账人
     */
    private String jzr;

    /**
     * 粮库编码
     */
    private String lkbm;

    /**
     * 粮油等级
     */
    private String dj;

    /**
     * 创建时间
     */
    private Date cjsj;

    /**
     * 货位性质
     */
    private String hwxz;

    /**
     * 数据方向
     */
    private Integer direction;

    /**
     * 货物产地
     */
    private String hwcd;

    /**
     * 生产年份
     */
    private String scnf;

    /**
     * 收入实际数量，即毛重-皮重等到的数量
     */
    private Double srsjsl;

    /**
     * 支出实际数量，即毛重-皮重
     */
    private Double zcsjsl;

    /**
     * 库存实际数量
     */
    private Double kcsjsl;

    /**
     * 累计收入实际数量
     */
    private Double ljsrsjsl;

    /**
     * 累计支出实际数量
     */
    private Double ljzcsjsl;

    /**
     * 损失损耗
     */
    private Double sssh;

    /**
     * 本批水分
     */
    private Double bpsf;

    /**
     * 本批杂质
     */
    private Double bpzz;

    /**
     * 平均水分
     */
    private Double pjsf;

    /**
     * 平均杂质
     */
    private Double pjzz;

    /**
     * 折标水杂数量
     */
    private Double zbszsl;

    /**
     * 粮权归属
     */
    private String lqss;

    /**
     * 通知单号
     */
    private String tzdh;

    /**
     * 记账凭证原数据ID
     */
    private String ydataid;

    public String getDataid() {
        return dataid;
    }

    public void setDataid(String dataid) {
        this.dataid = dataid == null ? null : dataid.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public Date getModifydate() {
        return modifydate;
    }

    public void setModifydate(Date modifydate) {
        this.modifydate = modifydate;
    }

    public String getLkmc() {
        return lkmc;
    }

    public void setLkmc(String lkmc) {
        this.lkmc = lkmc == null ? null : lkmc.trim();
    }

    public Integer getCh() {
        return ch;
    }

    public void setCh(Integer ch) {
        this.ch = ch;
    }

    public Integer getHwh() {
        return hwh;
    }

    public void setHwh(Integer hwh) {
        this.hwh = hwh;
    }

    public String getPz() {
        return pz;
    }

    public void setPz(String pz) {
        this.pz = pz == null ? null : pz.trim();
    }

    public String getMxpz() {
        return mxpz;
    }

    public void setMxpz(String mxpz) {
        this.mxpz = mxpz == null ? null : mxpz.trim();
    }

    public Date getRq() {
        return rq;
    }

    public void setRq(Date rq) {
        this.rq = rq;
    }

    public String getWjh() {
        return wjh;
    }

    public void setWjh(String wjh) {
        this.wjh = wjh == null ? null : wjh.trim();
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy == null ? null : zy.trim();
    }

    public Double getSrsl() {
        return srsl;
    }

    public void setSrsl(Double srsl) {
        this.srsl = srsl;
    }

    public Double getZcsl() {
        return zcsl;
    }

    public void setZcsl(Double zcsl) {
        this.zcsl = zcsl;
    }

    public Double getKcsl() {
        return kcsl;
    }

    public void setKcsl(Double kcsl) {
        this.kcsl = kcsl;
    }

    public String getJzr() {
        return jzr;
    }

    public void setJzr(String jzr) {
        this.jzr = jzr == null ? null : jzr.trim();
    }

    public String getLkbm() {
        return lkbm;
    }

    public void setLkbm(String lkbm) {
        this.lkbm = lkbm == null ? null : lkbm.trim();
    }

    public String getDj() {
        return dj;
    }

    public void setDj(String dj) {
        this.dj = dj == null ? null : dj.trim();
    }

    public Date getCjsj() {
        return cjsj;
    }

    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    public String getHwxz() {
        return hwxz;
    }

    public void setHwxz(String hwxz) {
        this.hwxz = hwxz == null ? null : hwxz.trim();
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public String getHwcd() {
        return hwcd;
    }

    public void setHwcd(String hwcd) {
        this.hwcd = hwcd == null ? null : hwcd.trim();
    }

    public String getScnf() {
        return scnf;
    }

    public void setScnf(String scnf) {
        this.scnf = scnf == null ? null : scnf.trim();
    }

    public Double getSrsjsl() {
        return srsjsl;
    }

    public void setSrsjsl(Double srsjsl) {
        this.srsjsl = srsjsl;
    }

    public Double getZcsjsl() {
        return zcsjsl;
    }

    public void setZcsjsl(Double zcsjsl) {
        this.zcsjsl = zcsjsl;
    }

    public Double getKcsjsl() {
        return kcsjsl;
    }

    public void setKcsjsl(Double kcsjsl) {
        this.kcsjsl = kcsjsl;
    }

    public Double getLjsrsjsl() {
        return ljsrsjsl;
    }

    public void setLjsrsjsl(Double ljsrsjsl) {
        this.ljsrsjsl = ljsrsjsl;
    }

    public Double getLjzcsjsl() {
        return ljzcsjsl;
    }

    public void setLjzcsjsl(Double ljzcsjsl) {
        this.ljzcsjsl = ljzcsjsl;
    }

    public Double getSssh() {
        return sssh;
    }

    public void setSssh(Double sssh) {
        this.sssh = sssh;
    }

    public Double getBpsf() {
        return bpsf;
    }

    public void setBpsf(Double bpsf) {
        this.bpsf = bpsf;
    }

    public Double getBpzz() {
        return bpzz;
    }

    public void setBpzz(Double bpzz) {
        this.bpzz = bpzz;
    }

    public Double getPjsf() {
        return pjsf;
    }

    public void setPjsf(Double pjsf) {
        this.pjsf = pjsf;
    }

    public Double getPjzz() {
        return pjzz;
    }

    public void setPjzz(Double pjzz) {
        this.pjzz = pjzz;
    }

    public Double getZbszsl() {
        return zbszsl;
    }

    public void setZbszsl(Double zbszsl) {
        this.zbszsl = zbszsl;
    }

    public String getLqss() {
        return lqss;
    }

    public void setLqss(String lqss) {
        this.lqss = lqss == null ? null : lqss.trim();
    }

    public String getTzdh() {
        return tzdh;
    }

    public void setTzdh(String tzdh) {
        this.tzdh = tzdh == null ? null : tzdh.trim();
    }

	public String getYdataid() {
		return ydataid;
	}

	public void setYdataid(String ydataid) {
		this.ydataid = ydataid;
	}
}
